org.eclipse.ui.dialogs

## Class FileEditorMappingLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.ui.dialogs.FileEditorMappingLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

    public class FileEditorMappingLabelProvider
    extends LabelProvider
    implements ITableLabelProvider

A label provider for displaying of `IFileEditorMapping` objects in viewers.

This class has a singleton instance, `FileEditorMappingLabelProvider.INSTANCE`, which can be used any place this kind of label provider is needed.

The singleton instance hangs on to images, which get freed up when `dispose` is called.

See Also:
  `ILabelProvider`

### Field Summary

Fields
`static FileEditorMappingLabelProvider` `INSTANCE` Singleton instance accessor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list.
`Image` `getColumnImage(Object element, int row)` The `ResourceTypeEditorMappingLabelProvider` implementation of this `ITableLabelProvider` method creates and returns an new image.
`String` `getColumnText(Object element, int row)` Returns the label text for the given column of the given element.
`Image` `getImage(Object element)` The `ResourceTypeEditorMappingLabelProvider` implementation of this `ILabelProvider` method creates and returns an new image.
`String` `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Field Detail

#### INSTANCE

    public static final FileEditorMappingLabelProvider INSTANCE

Singleton instance accessor.

### Method Detail

#### dispose

    public void dispose()

Description copied from class: `BaseLabelProvider`
The `BaseLabelProvider` implementation of this `IBaseLabelProvider` method clears its internal listener list. Subclasses may extend but should call the super implementation.

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`

#### getColumnImage

    public Image getColumnImage(Object element,
                                int row)

The `ResourceTypeEditorMappingLabelProvider` implementation of this `ITableLabelProvider` method creates and returns an new image. The image is remembered internally and will be deallocated by `dispose`.

Specified by:
  `getColumnImage` in interface `ITableLabelProvider`
Parameters:
  `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
  `row` - the zero-based index of the column in which the label appears
Returns:
  Image or `null` if there is no image for the given object at columnIndex

#### getColumnText

    public String getColumnText(Object element,
                                int row)

Description copied from interface: `ITableLabelProvider`
Returns the label text for the given column of the given element.

Specified by:
  `getColumnText` in interface `ITableLabelProvider`
Parameters:
  `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
  `row` - the zero-based index of the column in which the label appears
Returns:
  String or or `null` if there is no text for the given object at columnIndex

#### getImage

    public Image getImage(Object element)

The `ResourceTypeEditorMappingLabelProvider` implementation of this `ILabelProvider` method creates and returns an new image. The image is remembered internally and will be deallocated by `dispose`.

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label image
Returns:
  the image used to label the element, or `null` if there is no image for the given object

#### getText

    public String getText(Object element)

Description copied from class: `LabelProvider`
The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`
Parameters:
  `element` - the element for which to provide the label text
Returns:
  the text string used to label the element, or `null` if there is no text label for the given object